import { PhysicalItemData } from "./base-item.mjs";
const fields = foundry.data.fields;

export default class EquipmentData extends PhysicalItemData {
    static defineSchema() {
        const schema = super.defineSchema();
        schema.equipped = new fields.BooleanField({ required: false, initial: false });
        schema.augment = new fields.SchemaField({
            improvement: new fields.StringField({ required: false, blank: true, trim: true })
        });
        schema.subType.initial = "equipment"; // augment, clothing, trinket, toolkit, equipment
        return schema;
    }
}
